Coding in Java

Alpha Mason

New Member
Jul 29, 2019
6
0
0
I was wondering how to find the mod dependencies within the jar file for a mod. I'm trying to change the dependency to use a newer version of a mod. I'd like to clarify this is for personal use. The mod I'm trying to change is Electroblob's Wizardry: Twilight Forest Spell Pack. In its current state, the mod is incompatible with the newest version of Electroblob's Wizardry because it is requesting an older version of Electroblob's Wizardry.
 

LordPINE

Well-Known Member
Jan 2, 2016
336
235
69
I would highly recommend against messing with the jar file directly, and instead would suggest building a new version yourself from the source (which you can find at https://github.com/Electroblob77/TF-Spell-Pack ). In the mods main class (TFSpellPack.java) the requirements are specified. It could be as simple as modifying the version there and in the gradle.properties. It may however be the case that the mod has changed in such a way that the addon needs to be rewritten, so I can't give any guarantees this will work.